Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj
Class Kinect

    java.lang.Object
      edu.wpi.first.wpilibj.Kinect

    public class Kinect

extends Object

Author:
  bradmiller Handles raw data input from the FRC Kinect Server when used with a Kinect device connected to the Driver Station. Each time a value is requested the most recent value is returned. See Getting Started with Microsoft Kinect for FRC and the Kinect for Windows SDK API reference for more information

Nested Class Summary
`class` | `Kinect.Point4` A set of 4 coordinates (x,y,z,w) bundled into one object

Method Summary
`Kinect.Point4` | `getFloorClipPlane()` Retrieve the FloorClipPlane from the Kinect device
`Kinect.Point4` | `getGravityNormal()` Retrieve the GravityNormal vector from the Kinect device The w value returned from this method is always 0
`static Kinect` | `getInstance()` Gets an instance of the Kinect device
`int` | `getNumberOfPlayers()` Query the number of players detected by the Kinect
`Kinect.Point4` | `getPosition()` Query the position of the detected skeleton The w value returned from this method is always 1
`Skeleton` | `getSkeleton()` Retrieve the detected skeleton from the Kinect device

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static Kinect getInstance()

  Gets an instance of the Kinect device

  Returns:
    The Kinect.

### getNumberOfPlayers

    public int getNumberOfPlayers()

  Query the number of players detected by the Kinect

  Returns:
    The current number of players

### getFloorClipPlane

    public Kinect.Point4 getFloorClipPlane()

  Retrieve the FloorClipPlane from the Kinect device

  Returns:
    The FloorClipPlane

### getGravityNormal

    public Kinect.Point4 getGravityNormal()

  Retrieve the GravityNormal vector from the Kinect device The w value returned from this method is always 0

  Returns:
    The GravityNormal vector

### getPosition

    public Kinect.Point4 getPosition()

  Query the position of the detected skeleton The w value returned from this method is always 1

  Returns:
    The position of the skeleton

### getSkeleton

    public Skeleton getSkeleton()

  Retrieve the detected skeleton from the Kinect device

  Returns:
    The skeleton

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"